#ifndef _PlugEventFRAME_H
#define _PlugEventFRAME_H

class PlugEventFrame : public wxFrame
{
public:
  /**
   * Constructor. Creates a new TextFrame
   */
   PlugEventFrame(const wxChar *title, int xpos, int ypos, int width, int height);

  /**
   * Destructor
   */
  ~PlugEventFrame();

protected:

    DECLARE_EVENT_TABLE()
    void OnMenu1Item1(wxMenuEvent &event);
    void OnMenu1Item2(wxMenuEvent &event);
    void OnMenu1Item3(wxMenuEvent &event);
    void OnMenu2Item1(wxMenuEvent &event);
    void OnMenu2Item2(wxMenuEvent &event);
    void OnMenu2Item3(wxMenuEvent &event);

private:

    wxTextCtrl *m_pTextCtrl;

    enum
    {
        MENU1_ITEM1
      , MENU1_ITEM2
      , MENU1_ITEM3
      , MENU2_ITEM1
      , MENU2_ITEM2
      , MENU2_ITEM3
    };
};

#endif _PlugEventFRAME_H

