// For compilers that supports precompilation , includes "wx/wx.h"
#include "wx/wxprec.h"

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include "AboutDialog.h"

AboutDialog:: AboutDialog(wxWindow *parent)
    : wxDialog(parent, -1, "Enter a new password", wxDefaultPosition,
               wxSize(200, 200), wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER)
{
  wxBoxSizer *dialogSizer = new wxBoxSizer(wxVERTICAL);

  wxFlexGridSizer *controlSizer = new wxFlexGridSizer(2, 2, 10, 10);

  controlSizer->Add(new wxStaticText(this, -1, "Username"), 0, wxALIGN_CENTRE_VERTICAL);
  controlSizer->Add(new wxTextCtrl(this, -1), 0, wxALIGN_CENTRE_VERTICAL);
  controlSizer->Add(new wxStaticText(this, -1, "Password"), 0, wxALIGN_CENTRE_VERTICAL);
  controlSizer->Add(new wxTextCtrl(this, -1), 0, wxALIGN_CENTRE_VERTICAL);
  controlSizer->Add(new wxStaticText(this, -1, "Retype Password"), 0, wxALIGN_CENTRE_VERTICAL);
  controlSizer->Add(new wxTextCtrl(this, -1), 0, wxALIGN_CENTRE_VERTICAL);

  wxBoxSizer *buttonSizer = new wxBoxSizer(wxVERTICAL);
  buttonSizer->Add(new wxButton(this, -1, "Ok"), 0, wxTOP, 100);

  dialogSizer->Add(controlSizer);
//  dialogSizer->Add(20, 20);
  dialogSizer->Add(buttonSizer); //, 0, wxALIGN_CENTRE);

  SetSizer(dialogSizer);
  SetAutoLayout(TRUE);
  Layout();
}

BEGIN_EVENT_TABLE(AboutDialog, wxDialog)
END_EVENT_TABLE()

