#include <wx/wx.h>

#include "ChoiceDlg.h"

ChoiceDlg::ChoiceDlg() : wxDialog(NULL, -1, "ChoiceDialog", wxDefaultPosition, wxSize(185, 185))
{
  wxString list[] = { "ABS", "Airbag", "Air Conditioning" };
  m_pChoice = new wxChoice(this, ID_CHOICE, wxDefaultPosition, wxDefaultSize, 3, list);

  m_pChoice->Append("Automatic gear");

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *ChoiceSizer = new wxBoxSizer(wxVERTICAL);
  ChoiceSizer->Add(m_pChoice, 1, wxGROW);
  dlgSizer->Add(ChoiceSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void ChoiceDlg::OnChoice(wxCommandEvent &event)
{
  // When an item is selected it is not automatically shown in the choice box
  // That's why it is set explicitly
  m_pChoice->SetSelection(event.GetSelection());
}

void ChoiceDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(ChoiceDlg, wxDialog)
  EVT_CHOICE(ID_CHOICE, ChoiceDlg::OnChoice)
  EVT_CLOSE(ChoiceDlg::OnClose)
END_EVENT_TABLE()


