#include "wx/wx.h"

#include "SliderDlg.h"

SliderDlg::SliderDlg() : wxDialog(NULL, -1, "SliderDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxSlider *slider = new wxSlider(this, -1, 5, 1, 10,
                                  wxDefaultPosition, wxSize(80, 30),
                                  wxSL_HORIZONTAL | wxSL_AUTOTICKS | wxSL_LABELS);

  slider->SetLineSize(1);
  slider->SetPageSize(2);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *sliderSizer = new wxBoxSizer(wxVERTICAL);
  sliderSizer->Add(slider, 0, wxALIGN_CENTER);
  dlgSizer->Add(sliderSizer, 0, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void SliderDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(SliderDlg, wxDialog)
  EVT_CLOSE(SliderDlg::OnClose)
END_EVENT_TABLE()

