#include <wx/wx.h>
#include <wx/spinctrl.h>

#include "SpinDlg.h"

SpinDlg::SpinDlg() : wxDialog(NULL, -1, "SpinDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxSpinCtrl *spin = new wxSpinCtrl(this, ID_SPIN, "", wxDefaultPosition,
                                    wxDefaultSize, wxSP_ARROW_KEYS | wxSP_WRAP, 0, 10);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *spinSizer = new wxBoxSizer(wxVERTICAL);
  spinSizer->Add(spin, 0, wxALIGN_CENTER);
  dlgSizer->Add(spinSizer, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void SpinDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(SpinDlg, wxDialog)
  EVT_CLOSE(SpinDlg::OnClose)
END_EVENT_TABLE()

