#include <wx/wx.h>
#include <wx/statline.h>
#include "StaticLineDlg.h"

StaticLineDlg::StaticLineDlg() : wxDialog(NULL, -1, "StaticLineDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxStaticLine *staticLine1 = new wxStaticLine(this, -1);

  wxBoxSizer *dlgSizer1 = new wxBoxSizer(wxHORIZONTAL);
  dlgSizer1->Add(staticLine1, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer1);
  SetAutoLayout(TRUE);
  Layout();
}

void StaticLineDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(StaticLineDlg, wxDialog)
  EVT_CLOSE(StaticLineDlg::OnClose)
END_EVENT_TABLE()

