#include <wx/wx.h>
#include "TextDlg.h"

TextDlg::TextDlg() : wxDialog(NULL, -1, "TextDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxTextCtrl *text = new wxTextCtrl(this, -1, wxEmptyString,
                                    wxDefaultPosition, wxDefaultSize,
                                    wxTE_MULTILINE);

  *text << "This is line 1";

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  dlgSizer->Add(text, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void TextDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(TextDlg, wxDialog)
  EVT_CLOSE(TextDlg::OnClose)
END_EVENT_TABLE()

