#include "wx/wx.h"

#include "ButtonDlg.h"

ButtonDlg::ButtonDlg() : wxDialog(NULL, -1, "ButtonDialog", wxDefaultPosition, wxSize(150, 150))
{
  wxButton *button = new wxButton(this, BUTTON_SELECT, "Select", wxDefaultPosition);

  // Setting the button in the middle of the dialog.
  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *buttonSizer = new wxBoxSizer(wxVERTICAL);
  buttonSizer->Add(button, 0, wxALIGN_CENTER);
  dlgSizer->Add(buttonSizer, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void ButtonDlg::OnButtonSelect(wxCommandEvent& command)
{
  wxMessageBox("You clicked my button");
}

BEGIN_EVENT_TABLE(ButtonDlg, wxDialog)
  EVT_BUTTON(BUTTON_SELECT, ButtonDlg::OnButtonSelect)
END_EVENT_TABLE()

