#include <wx/wx.h>

#include "ComboboxDlg.h"

ComboboxDlg::ComboboxDlg() : wxDialog(NULL, -1, "ComboboxDialog", wxDefaultPosition, wxSize(185, 185))
{
  wxString list[] = { "ABS", "Airbag", "Air Conditioning" };
  m_pCombobox = new wxComboBox(this, ID_COMBOBOX, "", wxDefaultPosition, wxDefaultSize, 3, list);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *ComboboxSizer = new wxBoxSizer(wxVERTICAL);
  ComboboxSizer->Add(m_pCombobox, 1, wxGROW);
  dlgSizer->Add(ComboboxSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();

}

void ComboboxDlg::OnCombobox(wxCommandEvent &event)
{
  wxLogMessage("You've selected item: " + event.GetString());
}

void ComboboxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(ComboboxDlg, wxDialog)
  EVT_COMBOBOX(ID_COMBOBOX, ComboboxDlg::OnCombobox)
  EVT_CLOSE(ComboboxDlg::OnClose)
END_EVENT_TABLE()


