#include <wx/wx.h>

#include "ListboxDlg.h"

ListboxDlg::ListboxDlg() : wxDialog(NULL, -1, "ListboxDialog", wxDefaultPosition, wxSize(185, 185))
{
  wxString list[] = { "ABS", "Airbag", "Air Conditioning" };
  m_pListbox = new wxListBox(this, ID_LISTBOX, wxDefaultPosition, wxDefaultSize, 3, list);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *ListboxSizer = new wxBoxSizer(wxVERTICAL);
  ListboxSizer->Add(m_pListbox, 1, wxGROW);
  dlgSizer->Add(ListboxSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void ListboxDlg::OnListboxDClick(wxCommandEvent &event)
{
  wxString selection = m_pListbox->GetStringSelection();
  wxMessageBox("You double clicked on " + selection);
}

void ListboxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(ListboxDlg, wxDialog)
  EVT_LISTBOX_DCLICK(ID_LISTBOX, ListboxDlg::OnListboxDClick)
  EVT_CLOSE(ListboxDlg::OnClose)
END_EVENT_TABLE()


