#include <wx/wx.h>

#include "RadioboxDlg.h"

RadioboxDlg::RadioboxDlg() : wxDialog(NULL, -1, "RadioboxDialog", wxDefaultPosition, wxSize(185, 185))
{
  wxString list[] = { "ABS", "Airbag", "Air Conditioning" };
  m_pRadiobox = new wxRadioBox(this, ID_RADIOBOX, " Car options ", wxDefaultPosition,
                               wxDefaultSize, 3, list, 1, wxRA_SPECIFY_COLS);

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  wxBoxSizer *RadioboxSizer = new wxBoxSizer(wxVERTICAL);
  RadioboxSizer->Add(m_pRadiobox, 1, wxGROW);
  dlgSizer->Add(RadioboxSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void RadioboxDlg::OnRadiobox(wxCommandEvent &event)
{
  wxString selection = m_pRadiobox->GetStringSelection();
  wxMessageBox("You selected " + selection);
}

void RadioboxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(RadioboxDlg, wxDialog)
  EVT_RADIOBOX(ID_RADIOBOX, RadioboxDlg::OnRadiobox)
  EVT_CLOSE(RadioboxDlg::OnClose)
END_EVENT_TABLE()


