#include <wx/wx.h>
#include "StaticBitmapDlg.h"

StaticBitmapDlg::StaticBitmapDlg() : wxDialog(NULL, -1, "StaticBitmapDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxStaticBitmap *staticBitmap = new wxStaticBitmap(this, -1, wxBitmap("button"));

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  dlgSizer->Add(staticBitmap, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void StaticBitmapDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(StaticBitmapDlg, wxDialog)
  EVT_CLOSE(StaticBitmapDlg::OnClose)
END_EVENT_TABLE()

