#include <wx/wx.h>
#include "StaticBoxDlg.h"

StaticBoxDlg::StaticBoxDlg() : wxDialog(NULL, -1, "StaticBoxDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxStaticBox *staticBox1 = new wxStaticBox(this, -1, "Box 1");//, wxDefaultPosition, wxDefaultSize);
  wxStaticBox *staticBox2 = new wxStaticBox(this, -1, "Box 2");//, wxDefaultPosition, wxDefaultSize);

  wxBoxSizer *dlgSizer = new wxStaticBoxSizer(staticBox1, wxHORIZONTAL);
  wxBoxSizer *staticBoxSizer = new wxStaticBoxSizer(staticBox2, wxVERTICAL);
  dlgSizer->Add(staticBoxSizer, 1, wxGROW);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void StaticBoxDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(StaticBoxDlg, wxDialog)
  EVT_CLOSE(StaticBoxDlg::OnClose)
END_EVENT_TABLE()

