#include <wx/wx.h>
#include "StaticTextDlg.h"

StaticTextDlg::StaticTextDlg() : wxDialog(NULL, -1, "StaticTextDialog", wxDefaultPosition, wxSize(200, 150))
{
  wxStaticText *staticText = new wxStaticText(this, -1, "This is line 1\nThis is line 2");

  wxBoxSizer *dlgSizer = new wxBoxSizer(wxHORIZONTAL);
  dlgSizer->Add(staticText, 1, wxALIGN_CENTER);
  SetSizer(dlgSizer);
  SetAutoLayout(TRUE);
  Layout();
}

void StaticTextDlg::OnClose(wxCloseEvent &event)
{
  Destroy();
}

BEGIN_EVENT_TABLE(StaticTextDlg, wxDialog)
  EVT_CLOSE(StaticTextDlg::OnClose)
END_EVENT_TABLE()

